// Typage des fonctions

function compteur( depart : number, fin : number ) : void {
    for ( let valeur : number = depart; valeur <= fin; valeur ++ ) {
        console.log( valeur );
    }
}

function compteBrancaire( idt : string ) : number {
    return 1000;
}

const max = ( a:number, b:number ) => {
    return Math.max( a, b );
};

compteur( 1,4);
console.log( compteBrancaire( "1234A" ) );
console.log( max( 3, 5 ) );

type maFonction = ( a:number, b:number ) => number;

const max2 : maFonction = ( p1:number, p2:number ) => Math.max( p1, p2 );

type maFonction2 = ( a:number,b:number,c?:number ) => number;

const max3 : maFonction2 = ( p1:number, p2:number ) => p1 + p2;
